//************************************************
// File:    Input1.js (WSH sample in JScript) 
// Author:  Gnter Born
// Check out the WSH Bazaar at:
// ourworld.compuserve.com/homepages/Guenter_Born
//
// Demonstrates how to realize a user input in JScript.
// The script uses the Internet Explorer !!!
// 
//************************************************

var title = "Born's InputBox function for JScript"
var prompt = "Name:"
var WSHShell;
var vbOKCancel = 1;       // auxillary variable
var vbOKOnly = 0
var vbInformation = 64;
var vbCancel = 2;

// helper function -> creates an InputBox function
// in the Internet Explorer
function makeInputBox ()
 {
// create Internet Browser application object
 var oIE4 = WScript.CreateObject("InternetExplorer.Application");
 oIE4.navigate ("about:blank"); // empty HTML document 
 oIE4.visible = 0;              // keep MSIE invisible
 
 while (oIE4.Busy)   {}         // Important: Wait till MSIE ready
 
 var doc1 = oIE4.Document;      // get document object
 doc1.open;                     // open document
                                // write script into the document object
 doc1.writeln ("<HTML><HEAD>");
 doc1.writeln ("<Script LANGUAGE=\"VBScript\"><!--");
 doc1.writeln ("Function InputBox1 (prompt,title, value)");
 doc1.writeln (" InputBox1 = InputBox (prompt, title, value)");
 doc1.writeln ("End Function");
 doc1.writeln ("//-->");
 doc1.writeln ("</Script>");
 doc1.writeln ("</HEAD><BODY></BODY></HTML>");
 doc1.close;                    // close document for write access

 return oIE4;
 }

function InputBox (obj, prompt, title, x)
 {
// Interface for the InputBox1 function in the document object
// of the MS IE 4/5
 var oIE4doc = obj.Document.Script;
 var result = oIE4doc.InputBox1(prompt,title,x);
 return result;
 }

//+++++++++++++++++++++++
// main module
//+++++++++++++++++++++++
{  
// Create our Shell object (is needed to use Popup).
WSHShell = WScript.CreateObject("WScript.Shell");

// launch IE 4.0/5.0, create InputBox method
var mobj = makeInputBox ();  

// Get user input using the InputBox method

var result = InputBox (mobj, prompt,title,"Born");
WSHShell.Popup("You entered: " + result,
                0,
                "Result",
                vbOKOnly + vbInformation );
                
                // 2nd test
result = InputBox (mobj, prompt,title,"James Brown");
WSHShell.Popup("You entered: " + result,
                0,
                "Result",
                vbOKOnly + vbInformation );                

mobj.Quit();              // close Explorer object

WScript.Quit();           // Ready, close WScript object
}
// End