'************************************************
' File:    IECallBack.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Uses the Internet Explorer 4.0/5.0 to create forms
' within WSH. Used a CallBack function to get the
' results from IE into the script.
'************************************************
Option Explicit

Dim oIE4        ' declare variables
Dim path
Dim Title
Dim Text
Dim result1, result2

Title = "WSH sample forms input - by G. Born"
Text = "You entered:" + vbCRLF

' *** get the path to the script, because this
' *** folder contains also the (HTML) form file!!!
path = WScript.ScriptFullName
path = Left(path, InstrRev(path, "\"))

' *** launch Internet Explorer, define CallBack-Prefix ***
Set oIE4 = WScript.CreateObject("InternetExplorer.Application", _
      "Window_")
  oIE4.left=50             ' window position
  oIE4.top = 100           ' and other properties
  oIE4.height = 200
  oIE4.width = 350
  oIE4.menubar = 0         ' no menu
  oIE4.toolbar = 0
  oIE4.statusbar = 0
  oIE4.navigate path + "Form2.htm"  ' Form
  oIE4.visible = 1         ' visible

' Important: Wait till MSIE is ready
  Do While (oIE4.Busy)      
  Loop
   
' Wait, till the user has clicked the OK button.
' Use the CheckVal function.

 Do                ' Wait to the result
 Loop While (oIE4.Document.script.CheckVal()=0)
 
' User has clicked the OK button, get values.
 result1 = "Value1: " + oIE4.Document.script.GetValue(1)
 result2 = "Value2: " + oIE4.Document.script.GetValue(2) 

 MsgBox Text + vbCRLF + result1 + vbCRLF + result2, _
        vbOKOnly + vbInformation, Title

 oIE4.Quit()             ' close Internet Explorer 
 Set oIE4 = Nothing      ' reset object variable 

 WScript.Quit()          ' ready
 
'******************************************* 
' Here are the procedures for event handling
'*******************************************

Sub Window_DownloadBegin()
' called during document loading
End Sub

Sub Window_DownloadComplete()   
' called after document is loaded
End Sub

Sub Window_OnUnload()
' called, if the document gets closed
End Sub

Sub Window_OnQuit()
' called, if the IE4 terminates
 result1 = "Value1: " + oIE4.Document.script.GetValue(1)
 result2 = "Value2: " + oIE4.Document.script.GetValue(2) 
 MsgBox "IE aborted" + vbCRLF + _
 Text + vbCRLF + result1 + vbCRLF + result2, _
        vbOKOnly + vbInformation, Title
 WScript.Quit()       
End Sub

' End