//************************************************
// File:     Activate.js (WSH sample in JScript)   
// Author:   (c) G. Born
// 
// Demonstrates the use of the SendKeys method
// and the use of the Shell and AppActivate methods.
// Attention: The script requires the ActiveX control
//            WSHExtend !!!
//************************************************

// Create the WinExt-Object which extent the WSH.
var Wsh = WScript.CreateObject("WSHExtend.WinExt");

// launch Windows calculator

var ProcID_Calc = Wsh.WSHShell ("Calc.exe",1);

// launch Windows editor

var ProcID_NotePad = Wsh.WSHShell ("Notepad.exe",1);

// set focus to calculator window

Wsh.WSHAppActivate (ProcID_Calc);
 
Wsh.WSHSendKeys ("10", true);    // send 10
Wsh.WSHSendKeys ("{+}", true);   // send +
Wsh.WSHSendKeys ("2", true);     // send 2
Wsh.WSHSendKeys ("=", true);     // send =

// the calculator should show the result 12

WScript.Echo ("Continue");

// set the focus to the editor window, here we check
// whether the activation is succesful

var status = Wsh.WSHAppActivate (ProcID_NotePad); 
if (status != 0)
 { // a run-time error code occurs
    WScript.Echo ("Error: Can't activate NotePad",
                  "Error number ", status);
    WScript.Quit();
 }
 
// "write" some text into the editor window

for (var i = 1; i <=30; i++)
 {
  Wsh.WSHSendKeys (i, true);
  Wsh.WSHSendKeys ("{+}", true);
 }

// set focus to the calculator, here we check
// whether the activation is succesful

var status = Wsh.WSHAppActivate (ProcID_Calc); 
if (status != 0)
 { // a run-time error code occurs
    WScript.Echo ("Error: Can't activate Calc",
                  "Error number ", status);
    WScript.Quit();
 }
Wsh.WSHSendKeys ("%{F4}", true);  // close calc using Alt+F4
 
WScript.Quit();
// End