'************************************************
' File:    SendKey.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Show how to use the Excel SendKeys method
' within a WSH script. Launch Windows Calc,
' calculate something. 
'************************************************
Option Explicit

DIM xl, wsh
Dim h, m, s, delay

Set wsh = WScript.CreateObject ("WScript.Shell")

Set xl = WScript.CreateObject ("Excel.Application")

wsh.run ("Calc.exe")         ' launch Windows Calc

h = hour(time())
m = minute(time())
s = second(time()) + 1
delay = TimeSerial(h, m, s)

xl.Application.Wait delay    ' Wait 2 Seconds

xl.SendKeys "10", true       ' Send 10
xl.SendKeys "{+}", true      ' Send +
xl.SendKeys "2", true        ' Send 2
xl.SendKeys "=", true        ' Send =

' Calc should show the result 12 

WScript.Echo "Ready"
xl.Quit()
WScript.Quit()
' End