//************************************************
// File:     SendKeys.js (WSH sample in JScript)   
// Author:   (c) G. Born
// 
// Show how to use the WSHSendKeys method.
// Important: Needs the ActiveX control WSHExtend !!!
//************************************************

// Create Shell object, required for the Run methode

var WSHShell = WScript.CreateObject("WScript.Shell");

// Create the WSHExt object to extend the WSH
// with the SendKeys method.

var Wsh = WScript.CreateObject("WSHExtend.WinExt");

// launch Windows calculator

WSHShell.Run ("Calc.exe");

// Just wait a little bit to get the calculator ready.
// Otherwise the "keybord inputs" from SendKeys are going
// into the Windows-Message-Puffer, and before calc gets
// the focus, they are passed to the active window. This
// means, the keys are shown in the active windows (or they
// get discarded, if the window doesn't supports keybord input).

Wsh.WSHWait (200);            // just wait a little bit

Wsh.WSHSendKeys ("10", true);
Wsh.WSHSendKeys ("{+}", true);
Wsh.WSHSendKeys ("2", true);
Wsh.WSHSendKeys ("=", true);

Wsh.WSHWait (500);
Wsh.WSHSendKeys ("c", true);

for (var i = 1; i <=3; i++)
 {
  Wsh.WSHSendKeys (i, true);
  Wsh.WSHSendKeys ("{+}", true);
 }

WScript.Echo ("Terminate?");
Wsh.WSHWait (200);
Wsh.WSHSendKeys ("%{F4}", true);  // close calc with Alt+F4
 
WScript.Quit();
// End