//************************************************
// File:    Excel2.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Launch Excel, create a workbook and write
// some system data into a worksheet. Then a
// Save As dialog is shown, before the script
// terminates.
//************************************************
var vbOKCancel = 1;       // declare variables
var vbYesNo = 4;
var vbYes = 6;
var vbOK = 1;
var vbInformation = 64;
var vbQuestion = 32;
var vbCancel = 2;

var vbNormal = 1;         // window style

var Wsh = WScript.CreateObject ("WScript.Shell");

var Title = "WSH sample- by G. Born";

// create Excel application object
var objXL = WScript.CreateObject ("Excel.Application");

// set window properties

objXL.WindowState = vbNormal; // Normal
objXL.Height = 300;           // Height
objXL.Width = 400;            // Width
objXL.Left = 20;              // X-Position
objXL.Top = 20;               // Y-Position
objXL.Visible = true;         // Show window

// Write something in the titlebar
objXL.Caption = "WSH- and System data";

// Create a Workbooks object
var objWb = objXL.Workbooks;
objWb.Add;

//  Set column width
objXL.Columns(1).ColumnWidth = 20;
objXL.Columns(2).ColumnWidth = 20;
objXL.Columns(3).ColumnWidth = 20;

//  Write a title text into Cell B1
objXL.Cells(1, 2).Value = "WSH- and system data";
objXL.Cells(1, 2).Interior.ColorIndex=4;    // green

//  Insert the data of the Script-Engine into cells
objXL.Cells(3, 1).Value = "Script-Engine:";
objXL.Cells(3, 1).Font.Bold=true;    // bold
objXL.Cells(3, 2).Value = ScriptEngine();

objXL.Cells(4, 1).Value = "Version:";
objXL.Cells(4, 2).Value = "\'" + ScriptEngineMajorVersion() + 
                      "." + ScriptEngineMinorVersion();

objXL.Cells(5, 1).Value = "Build:";
objXL.Cells(5, 2).Value =  "\'" + ScriptEngineBuildVersion();

objXL.Cells(7, 1).Value = "Host-Name:";
objXL.Cells(7, 1).Font.Bold=true;    // bold
objXL.Cells(7, 2).Value =  "\'" + WScript.Name;

objXL.Cells(8, 1).Value = "Version:";
objXL.Cells(8, 2).Value =  "\'" + WScript.Version;

objXL.Cells(9, 1).Value = "Path:";
objXL.Cells(9, 2).Value =  WScript.Path;

objXL.Cells(10, 1).Value = "Interactive:";
objXL.Cells(10, 2).Value =  "\'" + WScript.Interactive;

//  Retrieve the environment variables

objXL.Cells(12, 1).Value = "Environment variables";
objXL.Cells(12, 1).Font.Bold=true;    // bold

// get collection using the Environment property

var k = new Enumerator (objEnv = Wsh.Environment("Process"));
var j = 0;

for ( ;!k.atEnd(); k.moveNext()) // get variable
 {
  var i = k.item();
  objXL.Cells(13+j, 1).Value = i; // write variable
 j ++;
}

// show "Ready" message within status bar
objXL.Statusbar = "Ready";

// Wait for user input
if (Wsh.Popup ("Save workbook?", 0, Title,
     vbYesNo + vbQuestion) == vbYes) 
 objXL.Save;                 // save workbook

// close workbook
 objWb.Close; 

objXL.Quit();         // close Excel

WScript.Quit();       // terminate script
// End