//************************************************
// File:    Outlook.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// This script creates a new e-mail entry in Outlook.
//************************************************

// define the items for the e-mail
var recipient = "user_name@domain.com";
var subject = "Subject: Outlook example";
var message = "The text of your message";

// Create Outlook object reference
var objOutl = WScript.CreateObject("Outlook.Application");

// create a new mail item object
var objMailItem = objOutl.CreateItem(0);  // 0 is email

// set the mail object properties          
objMailItem.Recipients.Add (recipient);               // 1st E-mail address
objMailItem.Subject = subject;                        // subject 
objMailItem.Body = message;                           // the body text

// obtain an object reference to "Mapi" name space
var objNameSpace = objOutl.GetNameSpace("MAPI");

// now we are ready to "logon" to outlook (using Logon method) 
objNameSpace.Logon ("profile", "password");
objMailItem.Send;                                     // send method
objNameSpace.Logoff ();                                  // logoff

WScript.Echo ("E-mail created for " + recipient);     // Post ready message
WScript.Quit();
// End