'************************************************
' File:    Outlook1.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Add a new contact in Outlook.
'************************************************
Option Explicit

Const olMailItem = 0           ' Constants for new items
Const olAppointmentItem = 1
Const olContactItem = 2
Const olTaskItem = 3
Const olJournalItem = 4
Const olNoteItem = 5
Const olPostItem = 6

Dim objOutl, objContact

' Create Outlook object reference
Set objOutl = WScript.CreateObject("Outlook.Application")

' Create a contact item
Set objContact = objOutl.CreateItem(olContactItem) 

' insert the contact data, note that I have assigned ony
' a few of the possible properties
objContact.FirstName = "FirstName"
objContact.LastName  = "LastName"
objContact.BusinessTelephoneNumber = "007-1009"
objContact.Email1Address = "Jimmi@Clitch.com"
objContact.CompanyName = "The Butcher"
objContact.JobTitle = "Dispatcher"
	
' Save the data 
objContact.Save()

WScript.Echo "Contact " & "FirstName" & " created"     ' Post ready message
WScript.Quit()
' End