'************************************************
' File:    Word3.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Shows the Word Open dialog to select and load a file.
'************************************************
Option Explicit
Const vbNormal = 0                ' windows styles
Const vbMaximized = 1
Const vbMinimized = 2
Const wdDialogFileOpen = 80

DIM objWrd, objDlg, objDoc        ' Word object variable

' create the Word object
Set objWrd = WScript.CreateObject ("Word.Application")

' set the window properties

objWrd.WindowState = vbNormal ' Normal
objWrd.Height = 400           ' Height
objWrd.Width = 500            ' Width
objWrd.Left = 20              ' X-Position
objWrd.Top = 20               ' Y-Position
objWrd.Visible = true         ' show window

' create the Open dialog for files

Set objDlg = objWrd.Dialogs(wdDialogFileOpen)

If objDlg.Display = -1 Then   ' show dialog and test buttons
' we load the selected file
 Set objDoc =  objWrd.Documents.Open(objDlg.Name)
' show the selected file
WScript.Echo "File: ",  objDlg.Name, " selected"
Else
 WScript.Echo "Cancel selected"
End If

WScript.Echo "Quit Word"   'we are ready

objWrd.Quit                ' quit Word 
Set objWrd = Nothing       ' release object variable 

WScript.Quit()             ' terminate script

' End