//************************************************
// File:   ConnectionDSN.jbs (WSH-Beispiel in JBScript) 
// Author: Gnter Born
//
// ActiveX Data Objects (ADO) sample which demonstrates 
// how to establish a connection to a data source using 
// a Data Source Name (DSN). We access an Access
// data base UserData.mdb located in the subfolder 
// \Data using the DSN "MyData".
//************************************************

// Define a couple of the ADO constants
var adOpenKeyset = 1;
var adLockOptimistic = 3;

var adCmdText = 0x0001;

// Now create a connection object 
var conn = WScript.CreateObject("ADODB.Connection");

// Open the connection to the Database using a DSN
conn.Open ("MyDb");

WScript.Echo ("Provider", conn.Provider);

// Create a record set for the data.
var dbRecord = WScript.CreateObject("ADODB.Recordset");

var sql = "SELECT * FROM Users";

dbRecord.Open (sql, conn, adOpenKeyset, adLockOptimistic);

// Loop through all the returned records
for ( i = 0; i < dbRecord.RecordCount; i++ )
{
// Store the value of each Field in a variable
  Name = dbRecord( "Name" );
  ID 	= dbRecord( "PersID" );
  WScript.Echo (i, Name, ID);
// Move to the Next Record.
  dbRecord.MoveNext();
}

dbRecord.Close;       // close Recordset
conn.Close;           // close connection

WScript.Quit();

//#### helper ####
function GetPath ()
// Retrieve the script path
{
 var path = WScript.ScriptFullName;  // script name
 path = path.substr(0,path.lastIndexOf("\\")+1);
 return path;
}
//* End
