'************************************************
' File:   EnumerateShares.vbs (WSH-sample in VBScript) 
' Author: G. Born 
'
' Demonstrate how to enumerate all shares on a machine.
'************************************************
Option Explicit

Dim oComp, oServer
Dim share, computer
Dim txt, i, Message 

txt = "Shares found on: " & computer & vbCRLF

computer = "//Rom"
Message = "Please enter a computer name " & vbCRLF & _
          "(like //Rom) or click Cancel" & vbCRLF & _
          "to connect to " & computer

' retrieve computer name
computer = GetName (computer, Message, "Enter computer name")
' bind to local computer 

Set oComp = GetObject("WinNT:" & computer & ",computer")

' bind to LanmanServer on local computer
Set oServer = GetObject(oComp.ADsPath & "/" & "LanmanServer")

I = 0
For Each share In oServer
 i = i + 1
 txt = txt & i & ": "      ' add counter (count steps)
 On Error Resume next      ' last item in collection causes errors
 txt = txt & share.Name  & vbTab & _
       " (Current user count: " & share.CurrentUserCount & _
       ") Path " & share.Path & vbCRLF
 On Error Goto 0
Next

WScript.Echo txt
WScript.Quit

' ### Helper
Function GetName (Value, Message, Title)
Dim tmp
' Ask user for computer name, if the input dialog is
' closed using Cancel, the default value is used
 tmp = inputbox (Message, Title , Value)
 If tmp = "" Then 
   GetName = Value
 Else
   GetName = tmp
 End if
End Function
'*** End