'************************************************
' File:    NewUser.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Uses ADSI to create a new user in Windows NT/2000.
'************************************************
Option Explicit

DIM oDomain, oUser
DIM name, fullname, descript, passw
DIM domain, title

domain = "//Rom"
name = "Bill"
fullname = "Bill Brown"
descript = "My favorite user"
passw = "Gateway"

title = "ADSI sample - by Gnter Born"

MsgBox "Create new user " & name, vbOKonly, title

 On Error Resume Next
Set oDomain = GetObject("WinNT:" & domain)
If err.number <> 0 Then
 MsgBox "Error: " & err.number & vbCRLF & err.description & _
        vbCRLF & "domain probaly not found...", _
        vbOKonly+vbCritical, _
        "Error connecting to " & domain
 WScript.Quit           ' Sorry, that's the end ...
End if

' Now we try to create the user object and set the properties
Set oUser = oDomain.Create("user", name)
' here we may set a few property values
oUser.Description = descript       ' description of user
oUser.FullName = fullname          ' Full name of user

oUser.SetInfo                      ' Store settings 
If err.number = 0 Then             ' Success?
 MsgBox "User " & name & " created", vbOKonly, title
Else                    ' a problem ###
 If err.number = -2147022672 Then
  MsgBox "User " & name & " already exists", _
        vbOKonly+vbCritical, _
        "Error creating user " & name
 Else
  MsgBox "Error: " & err.number & vbCRLF & err.description, _
        vbOKonly+vbCritical, _
        "Error creating user " & name
 End if
End if

Set oUser = Nothing
Set oDomain = Nothing

WScript.Quit
' End