'************************************************
' File:   PrintQueue.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Bind to a printer queue and list entries.
'************************************************
Option Explicit

Const computer = "Rom"
Const printQueueName = "HP500"

Dim oComp
Dim printQueue 
Dim printQOps
Dim printJob 
Dim printJobOps 
Dim txt

' Bind to computer
Set oComp = GetObject("WinNT://" & computer & ",computer")
' and now to a printer queue
Set printQueue = oComp.GetObject("PrintQueue", printQueueName)

'Get Print Queue Characteristics
txt = printQueue.Name & " " & printQueue.Description & _
      " (" & printQueue.PrinterPath & ")" & vbCRLF
txt = txt & "Status: " & printQueue.status & vbCRLF & vbCRLF

'Swith to Print Queue Operation
Set printQOps = printQueue

' Get Print Jobs for this specific queue 
txt = txt &  "--- Jobs in the queue ----- " & vbCRLF
For Each printJob In printQOps.PrintJobs
 txt = txt & printJob.Description & _
        " " & printJob.User & " " & printJob.Priority & vbCRLF
Set printJobOps = printJob
 txt = txt & "  Page printed: " & printJobOps.PagesPrinted _
    & " Page(s) " & printJobOps.status & vbCRLF
 txt = txt & vbCRLF & vbCRLF
Next

WScript.Echo txt
WScript.Quit

'*** End