'************************************************
' File:   SetComputerProperties.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' ADSI sample, to set some properties of a given
' computer. Note: This sample won't work on my
' computer with Windows 2000, because SetInfo isn't
' implemented yet.
'************************************************

Option Explicit

Const Title = "ADSI Computer Properties"

Dim oComp
Dim txt, tmp, Message, domain

' init variables
domain = "//Born/Rom"
Message = "Please add a computer name " & vbCRLF & _
          "(like //Born/Wien) or click Cancel" & vbCRLF & _
          "to connect to " & domain


' Ask user for computer name, if the input dialog is
' closed using Cancel, the default domain is used
tmp = inputbox (Message, Title , domain)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
     domain = "//" + tmp   ' add // to user input
 Else
  domain = tmp
 End if
End if
 
' Bind to a specific user object.
Set oComp = GetObject("WinNT:" & domain & ",Computer")

oComp.Put "Owner", "Lizzy" ' try to set a new value
oComp.SetInfo              ' store property (not implemented)
oComp.GetInfo             ' refresh cache
WScript.Echo oComp.Get("Owner") = "Lizzy"

WScript.Quit
'*** End