'************************************************
' File:   ListenToEvents.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Listen to events of the Windows 2000 event log.
' Requires WMI and Windows 2000.
' The script terminates after 300 seconds.
'************************************************
Option Explicit

Dim strQuery
Dim Machine, tmp
Dim oEvents, oNTEvent, oWShell 

' enter machine name
Machine = "//Wien"
tmp = InputBox ("Enter a computer name", _
                "List Events", Machine)
If tmp <> "" Then Machine = tmp

' ### undocumented, set script timeout ###
WScript.Timeout = 300  ' 300 seconds

' define query for __InstanceCreationEvent
' which points to Win32_NTLogEvent
strQuery = "Select * From __InstanceCreationEvent " & _
           "Where TargetInstance ISA 'Win32_NTLogEvent'"

' create an object instance to event handling class
' and execute EventNotificationQuery method
Set oEvents = GetObject( _
  "winmgmts:{impersonationLevel=impersonate,(Audit)}" & _
  "!" & Machine).ExecNotificationQuery (strQuery)

' create Popup message that terminates after 5 seconds
Set oWSHell = WScript.CreateObject("WScript.Shell")
 oWSHell.Popup "Waiting For NT Events...", 5, "Events"

' now wait for events ...
Do While true             ' loop indefinitely 
 Set oNTEvent = oEvents.NextEvent.TargetInstance ' retrieve event
 MsgBox "Type: " & oNTEvent.Type & " " & oNTEvent.Message, _
        vbOkOnly + vbInformation, "Event detected on " & Machine
Loop 

WScript.Quit 
'*** End