'************************************************
' File:   WMIGetIPAddress.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to read the IP address of a network
' adapter using WMI.
'************************************************
Option Explicit

Dim oAdapter, oWMI
Dim txt, Machine, tmp, strQuery, i

' enter machine name
Machine = "//Rom"
tmp = InputBox ("Enter a computer name", _
                "List Events", Machine)
If tmp <> "" Then Machine = tmp

'query to select the Network Adapter 
strQuery = "Select * from Win32_NetworkAdapterConfiguration " & _
              "Where IPEnabled=TRUE"

' Execute query
Set oWMI = GetObject( _
  "winmgmts:{impersonationLevel=impersonate}" & _
  "!" & Machine).ExecQuery (strQuery)

For Each oAdapter In oWMI
 txt = "Adapter: " & oAdapter.Index & vbCRLF
 txt = txt & "Description: " & oAdapter.Caption & vbCRLF
 txt = txt & "IP-Address: "
 If Not IsNull(oAdapter.IPAddress) Then         ' IP Address found
  For i = LBound(oAdapter.IPAddress) To UBound(oAdapter.IPAddress)
   txt = txt & oAdapter.IPAddress(i) & vbCRLF
  Next
 End if
Next

MsgBox txt, vbOkOnly + vbInformation, "Network Adapter"
WScript.Quit
'* End