'************************************************
' File:   WMIStoppedServices.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Uses WMI to query all stopped services.
'************************************************
Option Explicit

DIM oService, oWMI
Dim strQuery, txt

strQuery = "Select * From Win32_Service " & _
               "Where State='Stopped' "

' execute query
Set oWMI = GetObject("winmgmts:{impersonationLevel=impersonate}" _
            ).ExecQuery (strQuery)

If oWMI.Count = 0 Then 
  WScript.Echo "No services found"
  WScript.Quit
End if

txt = "Services stopped " & vbCRLF 
' enumerate results
For Each oService in oWMI
 txt = txt & oService.Description & " (Start mode: " _
           & oService.StartMode & ")" & vbCRLF
Next 

Wscript.Echo txt
WScript.Quit
'*** End