//************************************************
// File:     Input0.js  (WSH sample in JScript) 
// Author:   (c) G. Born 
//
// Demonstrates a trick to get user input in JScript.
// We call a VBScript program to get the user input.
// The input is stored into an environment variable.
// The variable created in the VBScript child remains
// valid during the parent process life time, if the
// child is created with the Run method!!!
//************************************************

var WSHShell;

// create Shell object
WSHShell = WScript.CreateObject("WScript.Shell");

// object to access environment (collection object)
var wshEnv = WSHShell.Environment("Volatile");

// get the path to the script file VBInput.vbs
var path = WScript.ScriptFullName;
path = path.substr(0,path.lastIndexOf("\\")+1);
path = path + "\VBInput.vbs";

// execute VBScript program
WSHShell.Run ("WScript.exe "+ path,1, true);

// Get user input from environment variable "Result"
var test = wshEnv("Result");
WScript.Echo ("You entered: ", test);
                
WScript.Quit();           // close WScript object

// End
