//************************************************
// File:    Input2.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Demonstrates how to implment a user input in JScript.
// The script uses the ActiveX control WSHExtend.ocx !!!
//************************************************

var vbOKOnly = 0;
var vbInformation = 64;
var vbCancel = 2;

var title = "Born's InputBox function for JScript";
var prompt = "Name:";

// Create the Shell object (needed to use Popup).
var WSHShell = WScript.CreateObject("WScript.Shell");

// Get the WSHExtend.WinExt object. This extends the WSH with
// the InputBox1 method. WSHExtend is an ActiveX control.
var objAdr = WScript.CreateObject("WSHExtend.WinExt");

// open Input dialog
var result = objAdr.WSHInputBox (prompt,title,"Born");

if (result != "")   // Test, whether Cancel clicked
 {  // No, get input
   var intDoIt =  WSHShell.Popup("You entered: " + result,
                                  0,
                                  "Result",
                                  vbOKOnly + vbInformation );
 }
 else
 { // Cancel button was clicked
    var intDoIt =  WSHShell.Popup("Sorry, no input",
                                  0,
                                  "Result",
                                  vbOKOnly + vbInformation );
 }                           

// here I have omitted WScript.Quit() to demonstrate
// that it also works, because the WSH automatically executes
// Quit after reaching the last statement.

// End