'************************************************
' File:     Dialog.vbs (WSH sample in VBScript)
' Author:   (c) G. Born  
'
' The script used the Internet Explorer 4.0/5.0 to
' show a modal dialog containing a HTML document.
'************************************************
Option Explicit

Dim oIE
Dim path
Dim Title

' *** get path to the script file, because the HTML
' *** document displayed within the dialog must be in
' **** same folder!!!
path = WScript.ScriptFullName
path = Left(path, InstrRev(path, "\"))

' *** launch Internet Explorer ***
Set oIE = WScript.CreateObject("InternetExplorer.Application")
 oIE.navigate "about:blank"  ' empty document
' keep window hidden (default), therefore doesn't set further options

' Important: Wait till MSIE ready
  Do While (oIE.Busy)      
  Loop

' show the dialog using showModalDialog, the third parameter
' sets the height and width of the dialog window. Till now I
' haven't succeeded to set with and high at the same time
' further information about the ShowModalDialog method may
' be found in the InetSDK-Help (keyword: Dynamic HTML,
' Object model) in the Microsoft web site www.microsoft.com
'
' Tip: The form test1.htm contains a Close button to close the
'      dialog. Using showModalDialog forces the script to
'      wait till the dialog is closed.
'
 oIE.document.script.showModalDialog path + "test1.htm", , _
              "dialogHeight: 15" 

' This message may be shown after the dialog is closed
 WScript.Echo "Dialog is closed"

 oIE.Quit()             ' close Internet Explorer 
 Set oIE = Nothing      ' reset object variable

 WScript.Quit()          ' ready

' End