'************************************************
' File:    RegistryTest.vbs (WSH sample in VBScript) 
' Author:  (c) Gnter Born
'
' Demonstrates how to access the Registry using
' VBscript. We use the WSHKeyExist method of the
' WinExt object to check key existence. This script
' calls WSHKeyExist with wrong parameters.
'************************************************
Option Explicit

' Constants for Registry-branches
Const HKEY_CLASSES_ROOT = &H80000000
Const HKEY_CURRENT_USER = &H80000001
Const HKEY_LOCAL_MACHINE = &H80000002
Const HKEY_USERS = &H80000003
Const HKEY_PERFORMANCE_DATA = &H80000004
Const HKEY_CURRENT_CONFIG = &H80000005
Const HKEY_DYN_DATA = &H80000006

Dim WSHShell
Dim objAdr

' Create WSHShell object, required for Registry access
 Set WSHShell = WScript.CreateObject("WScript.Shell")

' Create object for the WSH extension WSHKeyExist
 Set objAdr = CreateObject("WSHExtend.WinExt")

' first try, wrong value for Root
 If objAdr.WSHKeyExist ("Hello\", ".bmp") Then
 Else
  MsgBox "Error in WSHKeyExist"
 End If
' 2nd try, wrong key parameter
 If objAdr.WSHKeyExist (HKEY_CLASSES_ROOT,123) Then
 Else
  MsgBox "Error in WSHKeyExist"
 End If

WScript.Quit()
' End