'************************************************
' File:    WaitTest.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Deomonstrates how to realize a delay loop in WSH scripts.
'************************************************
Option Explicit

Dim i, j, k, old1, old, wsh
Dim objAdr

' show start
MsgBox "Step 1 - use a delay loop"           
' delay loop

old = time          ' remember time

 For i = 1 to 1000
  For k = 1 to 500
   j = i * i
   j = j / k
  Next
 Next

MsgBox "Step 2" & vbCRLF & _
       "Time old: " & old & vbCRLF & _
       "Time new: " & time & vbCRLF & _
       "Delay 5 Sec. by a time loop"

old = time
' Now a defined pause
Wait 5              ' Wait 5 second using internal function

' Wait using Popup methode
old1 = time
Set wsh = WScript.CreateObject("WScript.Shell")
wsh.Popup "Step 3" & vbCRLF & _
       "Time old: " & old & vbCRLF _
       & "Time new: " & time & vbCRLF & _
       "Wait 5 seconds using Popup", 5, "Wait...",64

MsgBox "Step 4" & vbCRLF & _
       "Time old: " & old1 & vbCRLF & _
       "Time new: " & time & vbCRLF & _
       "Wait 5 seconds using the Wait function"

old = time
' Now the true solution: WSHWait method

Set objAdr = WScript.CreateObject("WSHExtend.WinExt")

objAdr.WSHWait 5000

MsgBox "Ready" & vbCRLF & _
       "Time old: " & old & vbCRLF _
       & "Time new: " & time       ' next time
       
WScript.Quit()
'######################
' Helper function to wait
Sub Wait(x)
Dim start, i
Start = Cint(second(time))
I = 0
Do
 i = i + 1
Loop While (cint(second(time)) < start + cint(x))
End Sub

' End