//************************************************
// File:    Excel.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Demonstrates how to access Microsoft Excel 
// from a WSH script 
//************************************************
var vbOKCancel = 1;       // declare some variables
var vbYesNo = 4;
var vbYes = 6;
var vbOK = 1;
var vbInformation = 64;
var vbQuestion = 32;
var vbCancel = 2;

var vbNormal = 1;         // window styles
var vbMinimized = 2;
var vbMaximized = 3;
var vbTab = String.fromCharCode(9);
var vbCRLF = "\n"; 

var Title = "WSH sample - by G. Born";

//  here we create an object reference to the Excel application object
var objXL = WScript.CreateObject ("Excel.Application");

// now try to set the Excel window properties

objXL.WindowState = vbNormal; // window style normal
objXL.Height = 200;           // height
objXL.Width = 400;            // width
objXL.Left = 100;             // X-Position
objXL.Top = 100;              // Y-Position
objXL.Visible = true;         // make window visible

//  write something into the status- and titlebar
objXL.Caption = Title;
objXL.Statusbar = "Date: " + Date;

//  Query, whether the window shall be maximized
var wsh = WScript.CreateObject ("WScript.Shell")
if (wsh.Popup("Maximize window?", 0, Title,
              vbQuestion + vbYesNo) == vbYes) 
  objXL.WindowState = vbMaximized;

// Retrieve the Excel application properties

Text = "Excel properties" + vbCRLF + vbCRLF;
Text = Text + "window height " + vbTab + objXL.Height + vbCRLF;
Text = Text + "window width " + vbTab + objXL.Width + vbCRLF;
Text = Text + "window title " + vbTab + objXL.Caption + vbCRLF;
Text = Text + vbCRLF + "Excel terminates...";
WScript.Echo (Text);

objXL.Quit();         // close Excel application object

WScript.Quit();       // terminate script
// End