//************************************************
// File:    Excel3.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Launch Excel, load a worksheet (XLS file),
// select the worksheet "Test" and read some
// values back into the script.
//************************************************
var vbOKCancel = 1;       // variables
var vbYesNo = 4;
var vbYes = 6;
var vbOK = 1;
var vbInformation = 64;
var vbQuestion = 32;
var vbCancel = 2;

var vbNormal = 1;         // window style

var Wsh = WScript.CreateObject ("WScript.Shell");

var Title = "WSH sample - by G. Born";

//  create an Excel object
var objXL = WScript.CreateObject ("Excel.Application");

//  set window properties

objXL.WindowState = vbNormal; // Normal
objXL.Height = 300;           // Height
objXL.Width = 400;            // Width
objXL.Left = 20;              // X-Position
objXL.Top = 20;               // Y-Position
objXL.Visible = true;         // show window


//  Load XLS file Test1.xls
var objWb = objXL.WorkBooks.Open(GetPath()+"Test1.XLS");

// Get worksheet "Test"
var objWb = objXL.ActiveWorkBook.WorkSheets("Test")
// I have commented out the following statement to show
// that the read access also works, if the worksheet is
// not visible in the Excel application window.
// objWb.Activate;       // activate worksheet

//  Read values
Text = "" + objWb.Cells(7, 1).Value + ": ";
Text = Text + objWb.Cells(7, 2).Value;
// show result
WScript.Echo (Text);

objXL.Quit();                // quit Excel 

WScript.Quit();

//##########################
function GetPath ()
// Retrieve the script path
{
 var path = WScript.ScriptFullName;  // script name
 path = path.substr(0,path.lastIndexOf("\\")+1);
 return path;
}
// End