'************************************************
' File:     Excel3.vbs (WSH sample in VBScript) 
' Author:   Gnter Born
'
' Launch Excel, load a worksheet (XLS file),
' select the worksheet "Test" and read some
' values back into the script.
'************************************************
Option Explicit
Const vbNormal = 1         ' window style

DIM objXL, objWb, objR     ' Excel object variables
DIM Title, Text, tmp, i, j

Title = "WSH sample - by G. Born"

' create an Excel object reference
Set objXL = WScript.CreateObject ("Excel.Application")

' set window properties

objXL.WindowState = vbNormal ' Normal
objXL.Height = 300           ' height
objXL.Width = 400            ' width
objXL.Left = 40              ' X-Position
objXL.Top = 20               ' Y-Position
objXL.Visible = true         ' show window

' Load XLS file Test1.xls
Set objWb = objXl.WorkBooks.Open(GetPath+"Test1.XLS")

' Get worksheet "Test"
Set objWb = objXL.ActiveWorkBook.WorkSheets("Test")
objWb.Activate

' Read values
Text = "Worksheet " + objWb.name + vbCRLF
Text = Text + CStr(objWb.Cells(7, 1).Value) + ": "
Text = Text + CStr(objWb.Cells(7, 2).Value)
' Show results
MsgBox Text, vbOk+ vbInformation, Title

objXl.Quit()                ' Quit Excel 
Set objXL = Nothing

WScript.Quit()

'##########################
Function GetPath()
' Retrieve the script path
 DIM path
 path = WScript.ScriptFullName  ' Script name
 GetPath = Left(path, InstrRev(path, "\"))
End Function
' End