'************************************************
' File:    Outlook2.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Add a new task in Outlook.
'************************************************
Option Explicit

Const olMailItem = 0           ' Constants for new items
Const olAppointmentItem = 1
Const olContactItem = 2
Const olTaskItem = 3
Const olJournalItem = 4
Const olNoteItem = 5
Const olPostItem = 6

Dim objOutl, objTask

' Create Outlook object reference
Set objOutl = WScript.CreateObject("Outlook.Application")

' Create a new task
Set objTask = objOutl.CreateItem(olTaskItem) 

' insert the task
objTask.Subject = "Hello World Task"
objTask.DueDate = Date
'objTask.DateCompleted = Date+1
	
' Save the data 
objTask.Save()

WScript.Echo "Task created"          ' Post ready message
WScript.Quit()
' End