//************************************************
// File:    Word.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Launch Word, set a few properties and show
// Word application properties in a dialog box.
//************************************************
var vbOKCancel = 1;       // declare variables
var vbYesNo = 4;
var vbYes = 6;
var vbOK = 1;
var vbInformation = 64;
var vbQuestion = 32;
var vbCancel = 2;

var vbNormal = 0;         // window styles
var vbMinimized = 2;
var vbMaximized = 1;

var vbTab = String.fromCharCode(9);
var vbCRLF = "\n"; 

var Title = "WSH sample - by G. Born";

//  create Word object
var objWrd = WScript.CreateObject ("Word.Application");

// set the Word window properties
objWrd.WindowState = vbNormal; // Normal
objWrd.Height = 200;           // Height
objWrd.Width = 400;            // Width
objWrd.Left = 100;             // X-Position
objWrd.Top = 100;              // Y-Position
objWrd.Visible = true;         // show window

// try to write something into the title- and statusbar
objWrd.Caption = Title;
objWrd.Statusbar = "Date: " + Date;

// ask, whether the window shall be maximized/minimized
var wsh = WScript.CreateObject ("WScript.Shell")
if (wsh.Popup("Maximize window", 0, Title,
              vbQuestion + vbYesNo) == vbYes)
 { 
  objWrd.WindowState = vbMaximized
 }
 else
 {
  if (wsh.Popup("Minimize window", 0, Title,
              vbQuestion + vbYesNo) == vbYes)
   objWrd.WindowState = vbMinimized;
 }

// Query Word properties

Text = "Word properties" + vbCRLF + vbCRLF;
Text = Text + "window height " + vbTab + objWrd.Height + vbCRLF;
Text = Text + "window width " + vbTab + objWrd.Width + vbCRLF;
Text = Text + "window title " + vbTab + objWrd.Caption + vbCRLF;
Text = Text + vbCRLF + "Word terminates...";
WScript.Echo (Text);

objWrd.Quit();         // quit Word 

WScript.Quit();        // terminate script
// End