''************************************************
' File:     Word2.vbs (WSH sample in VBScript) 
' Author:   Gnter Born
'
' Launch Word, loads a document file and
' displays its content in dialog boxes.
'************************************************
Option Explicit
Const vbNormal = 0               ' window styles
Const vbMaximized = 1
Const vbMinimized = 2

DIM objWrd, objDoc, txt, doc, dlg ' Word object variable
DIM Title, Text, i

Title = "WSH sample - by G. Born"

' create Word object
Set objWrd = WScript.CreateObject ("Word.Application")

' set the Word window properties
objWrd.WindowState = vbNormal ' Normal
objWrd.Height = 400           ' Height
objWrd.Width = 500            ' Width
objWrd.Left = 20              ' X-Position
objWrd.Top = 20               ' Y-Position
objWrd.Visible = true         ' show window

' load document Test.doc
Set objDoc = objWrd.Documents.Open(GetPath+"Test1.doc")
' The following statement (commented out) loads the script's source into Word
' Set objDoc = objWrd.Documents.Open(WScript.ScriptFullName)
'

' We use a Range object to access the content of the
' Paragraphs collection

For i= 1 To objDoc.Paragraphs.Count
 Set txt = objDoc.Paragraphs(i).Range    ' paragraph
 WScript.Echo i, ": ", txt               ' show the paragraph
Next

WScript.Echo "Ready"   ' we are ready

objWrd.Quit            ' close Word 
Set objWrd = Nothing   ' reset object variable

WScript.Quit()         ' terminate script

'##########################
Function GetPath
' Retrieve path to the script file
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function
' End