'************************************************
' File:   ConnectionOLEDB.vbs (WSH-sample in VBScript) 
' Author: Gnter Born
'
' ActiveX Data Objects (ADO) sample which demonstrates 
' how to establish a connection to a data source using 
' the Microsoft Jet OLE DB provider. We access an Access
' Data base UserData.mdb located in the subfolder \Data.
'************************************************
Option Explicit

' Define a couple of the ADO constants
Const adOpenKeyset = 1
Const adLockOptimistic = 3

Const adCmdText = &H0001

DIM dbRecord, conn, sql, i, name, id

' Now create a connection object 
Set conn = CreateObject("ADODB.Connection")

' set the OLE DB provider and the data source
conn.Provider = "Microsoft.Jet.OLEDB.4.0"
conn.ConnectionString = "Data Source = " & GetPath & "\Data\UserData.mdb"

' Open the connection to the Database
conn.Open 

WScript.Echo conn.Provider

' Create a record set for the data.
Set dbRecord = CreateObject("ADODB.Recordset")

sql = "SELECT * FROM Users"

dbRecord.Open sql, conn, adOpenKeyset, adLockOptimistic

' Loop through all the returned records

 For i = 0 to dbRecord.RecordCount-1
' Store the value of each Field in a variable
  Name = dbRecord( "Name" )
  ID 	= dbRecord( "PersID" )
  WScript.Echo i, Name, ID
' Move to the Next Record.
  dbRecord.MoveNext()
 Next

conn.Close

WScript.Quit

'#### helper ####
Function GetPath
' Return path to the current script
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function
'* End
