'************************************************
' File:   AddGroup.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to add a group using ADSI.
'************************************************
Option Explicit

Const ADS_GROUP_TYPE_DOMAIN_LOCAL_GROUP	= 4
Const group = "Test"
Const domain = "Rom"

Dim oDomain, oGroup

' Bind to domain
Set oDomain = GetObject("WinNT://" & domain) 
Set oGroup = oDomain.Create ("group", group)

' comment this out, if you won't set the type
oGroup.Put "groupType", ADS_GROUP_TYPE_DOMAIN_LOCAL_GROUP
oGroup.Description = "Distributed System Group for Tests"
oGroup.SetInfo          ' commit cache

Set oDomain = Nothing 
Set oGroup = Nothing 

WScript.Echo "Group '" & group & "' created"
WScript.Quit
'*** End