'************************************************
' File:    IsGroupMember.vbs (WSH sample in VBScript) 
' Author:  G. Born
'
' Lists all groups in which a given user/group is a member.
'************************************************
Option Explicit

Dim oGroup, oGroups, domain, name
Dim txt, title, grp

domain = "//Rom"       ' set domain or computer name
name = "Born"
title = "WSH ADSI sample - by Gnter Born"
txt = "User '" & name & "' is member of groups:" & vbCRLF

' bind to ADs and connect to the domain with user name
Set oGroups = GetObject("WinNT:" & domain & "/" & name)

' Enumerate groups and test of membership
For Each oGroup in oGroups.Groups
 txt = txt + oGroup.Name & vbCRLF
Next

MsgBox txt, vbOkonly, title

WScript.Quit
' End