'************************************************
' File:    ToggleUserFlag.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Uses ADSI to set a userflag bit in a user account.
'************************************************
Option Explicit

Const UF_PASSWORD_CANT_CHANGE = &H40
Const UF_DONT_EXPIRE_PASSWD = &H10000

DIM oUser
DIM name, tmp
DIM domain

domain = "//Rom"
name = "Bill"

Set oUser = GetObject("WinNT:" & domain & "/" & name)

oUser.GetInfo                   'read the properties
' toggle "User cannot change password" and "Password never expires"
tmp = oUser.Get("UserFlags")    ' read flags
tmp = tmp XOR UF_PASSWORD_CANT_CHANGE
tmp = tmp XOR UF_DONT_EXPIRE_PASSWD

oUser.Put "UserFlags", tmp
oUser.SetInfo
WScript.Echo "Account " & name & " updated"

Set oUser = Nothing
WScript.Quit
' End