'************************************************
' File:   Kill.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to kill a process using either
' the process name or the process id. The script
' requires WMI.
'************************************************
Option Explicit

Dim tmp, tmp1, oWMI, oProcess, Machine

Machine = "//Rom"
tmp1 = InputBox ("Enter a computer name", _
                "Kill process", Machine)
If tmp1 <> "" Then Machine = tmp1

' ask for process name or ID code
tmp = InputBox ("Enter Process ID code" & vbCRLF & _
                "or Process name", "Kill process", "")

If tmp = "" Then WScript.Quit     ' Terminate

' retrieve an object reference to Win32_Process class
Set oWMI = GetObject( _
   "winmgmts:{impersonationLevel=impersonate,(Debug)}" & _
   "!" & Machine).InstancesOf("win32_Process")

' enumerate all processes

For Each oProcess In oWMI
 If IsNumeric (tmp) Then           ' Process ID present?
  If oProcess.ProcessID = Eval(tmp) Then 
   oProcess.Terminate 0 
   WScript.Echo oProcess.Name & " terminated on " & Machine
  End if
 Else                              ' Process name present
  If UCase(oProcess.Name) = UCase(Trim(tmp)) Then 
   oProcess.Terminate 0 
   WScript.Echo oProcess.Name & " terminated on " & Machine
  End if
 End if
Next
WScript.Quit                       ' terminate script
'*** End