'************************************************
' File:   Logoff.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Logoff the current user on a given machine 
' using WMI. Requires administrators privileges 
' on that machine.
'************************************************
Option Explicit

Dim tmp, Machine, strQuery
Dim oWMI, oSys

' enter machine name
Machine = "//Wien"
tmp = InputBox ("Enter a computer name", _
                "Logoff user", Machine)
If tmp <> "" Then Machine = tmp

' define query command
strQuery = "Select * From Win32_OperatingSystem " & _
              "Where Primary=true"

' force query, set (RemoteShutdown) privilege
Set oWMI = GetObject( _
 "winmgmts:{impersonationLevel=impersonate}!" & _
  Machine).ExecQuery (strQuery) 

' process all objects in collection
For Each oSys in oWMI
 oSys.Win32Shutdown 0, 0       ' force Logoff
 WScript.Echo "Current user on " & Machine & " logged off"
Next 
WScript.Quit
'*** End