'************************************************
' File:   Shutdown.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Shutdown a given machine using WMI. Requires 
' administrators privileges on that machine.
'************************************************
Option Explicit

Dim tmp, Machine, strQuery
Dim oWMI, oSys

' enter machine name
Machine = "//Wien"
tmp = InputBox ("Enter a computer name", _
                "Shutdown machine", Machine)
If tmp <> "" Then Machine = tmp

' define query command
strQuery = "Select * From Win32_OperatingSystem " & _
              "Where Primary=true"

' force query, set (RemoteShutdown) privilege
Set oWMI = GetObject( _
 "winmgmts:{impersonationLevel=impersonate,(RemoteShutdown)}!" & _
  Machine).ExecQuery (strQuery) 

' process all objects in collection
For Each oSys in oWMI
 If MsgBox ("Shutdown?", vbYesNo, Machine) = vbYes Then
  oSys.Shutdown()           ' force Shutdown
  WScript.Echo Machine & " shutdown"
 End if
Next 
WScript.Echo "Ready"
WScript.Quit
'*** End