'************************************************
' File:   WMIGetBIOSData.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to use WMI to retrieve BIOS data.
'************************************************
Option Explicit

Const Title = "BIOS data on "

Dim oWMI, oItem, txt, Machine, tmp

Machine = "Rom"  ' define machine name
tmp = InputBox ("Enter a computer name" & vbCRLF & _
                "like Paris", "Retrieve BIOS Data", _
                 Machine)
If tmp <> "" Then Machine = tmp

' create a reference to a BIOS instance
Set oWMI = GetObject( _
  "winmgmts:{impersonationLevel=impersonate}//" & Machine _
   ).InstancesOf("Win32_BIOS")

txt = ""                ' init string
' enumerate collection (we might have one object!)
For Each oItem In oWMI 
 txt = txt & "Name: " & oItem.Name & vbCRLF  
 txt = txt & "Description: " & oItem.Description & vbCRLF 
 txt = txt & "Manufacturer: " & oItem.Manufacturer & vbCRLF
 txt = txt & "Version: " & oItem.Version & vbCRLF
 txt = txt & "Build: " & oItem.SMBIOSMajorVersion & "." & _
              oItem.SMBIOSMinorVersion
Next
' show result
MsgBox txt, vbOkOnly + vbInformation, Title & " " & machine
WScript.Quit
'*** End