'************************************************
' File:   WMIGetDiskInfo.vbs (WSH-sample in VBScript) 
' Author: G. Born  
'
' Demonstrates how to retrieve Drive Info using WMI.
'************************************************
Option Explicit

Const Title = "WMI GetDiskInfo"
Dim oDisk, drive, txt

drive = """C:"""                ' drive number
txt = "Properties of Logical Disk " & drive & vbCRLF

' Get reference to instance of Win32_LogicalDisk
Set oDisk = GetObject("winmgmts:" & _
           "{impersonationLevel=impersonate}" & _
           "!Win32_LogicalDisk=" & drive)

txt = txt & "Volume Name: " & oDisk.VolumeName & vbCRLF
txt = txt & "Volume Serial Number: " & _
             oDisk.VolumeSerialNumber & vbCRLF
txt = txt & "Drive Type: " & oDisk.DriveType & vbCRLF
txt = txt & "FileSystem: " & oDisk.FileSystem & vbCRLF
txt = txt & "Compressed: " & oDisk.Compressed & vbCRLF
txt = txt & "Max. Component Len:" & _
            oDisk.MaximumComponentLength & vbCRLF
txt = txt & "Provider Name:" & _
            oDisk.ProviderName & vbCRLF

MsgBox txt, vbOkOnly + vbInformation, Title
WScript.Quit
'*** End