'************************************************
' File:   WMILaunch.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to launch and terminate 
' a program using WMI.
'************************************************
Option Explicit

Dim oWMI, oProc, oInstance, oWShell
Dim Machine, txt, tmp, result, procID

Machine = "//Rom"
tmp = InputBox ("Enter a machine name" & vbCRLF & _
                "like //Rom", "Process list", Machine)
If tmp <> "" Then Machine = tmp

' create process instance
Set oWMI = GetObject("winmgmts:" & _
    "{impersonationLevel=impersonate}!" & Machine & _
    "/root/CIMV2:Win32_Process")

' ### now use the Create method to launch the program
result = oWMI.Create ("Notepad.exe", null, null,procID)
If result = 0 Then 
 WScript.Echo "Process Notepad.exe created" & vbCRLF &_
        "Create method returns: " & result & vbCRLF & _
        "Process Id returned " & procID
Else
 WSCript.Echo "Process creation failed, code " & result
 WScript.Quit
End if

' ### Demonstrate how to use the process ID in AppActivate 
WScript.Echo "Set Focus to another window" & vbCRLF & _
             "We will activate the process " & procID
Set oWShell = WScript.CreateObject ("WScript.Shell")
oWShell.AppActivate procID   ' set focus to process

' ### now try to terminate process
If MsgBox ("Terminate process", vbYesNo, _
           "Process terminate") = vbYes Then
' retrieve process object
 Set oProc = GetObject("winmgmts:" & _
    "{impersonationLevel=impersonate}!" & Machine _
     ).ExecQuery ("Select * from Win32_Process " & _
                    "Where ProcessID =" & procID)
 For Each oInstance in oProc
  oInstance.Terminate 0
  WScript.Echo "Process " & oInstance.Name, _
               " ID: " & oInstance.ProcessID, "terminated" 
 Next
End if
WScript.Quit
'*End
