'************************************************
' File:   WMISetDiskVolume.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrate how to set the Disk volume using WMI.
'************************************************
Option Explicit

Dim oDisk, drive, txt

drive = """C:"""                ' drive number

' Get reference to WinCIMV2
Set oDisk = GetObject("winmgmts:" & _
           "{impersonationLevel=impersonate}" & _
           "!Win32_LogicalDisk=" & drive)

txt = InputBox ("Volume Name is: " & oDisk.VolumeName _
                 & vbCRLF & "Please enter the volume name", _
                 "Change Volume Name of drive " & drive, _
                 oDisk.VolumeName)

If txt = "" Then 
 WScript.Echo "Nothing changed..."
Else
 oDisk.VolumeName = txt
 oDisk.Put_
 MsgBox "Volume Name changed to " & oDisk.VolumeName, _
        vbOKOnly + vbInformation, _
        "Change Volume Name of " & drive
End if

WScript.Quit
'*** End