'************************************************
' File:   WMIStartStopService.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to launch/stop Windows 2000 Indexing
' service on a system using WMI.
'************************************************
Option Explicit

Dim oWMI, oService 
Dim Machine, txt, tmp
Dim strQuery

Machine = "//Rom"
tmp = InputBox ("Enter a machine name" & vbCRLF & _
                "like //Rom", "Process list", Machine)
If tmp <> "" Then Machine = tmp

' define query command

strQuery = "Select * From Win32_Service " & _
           "Where Name = 'cisvc'"
            
' execute a Query to start the service
set oWMI = _
   GetObject("winmgmts:{impersonationLevel=impersonate}" & _
             "!" & Machine).ExecQuery(strQuery)

' enumerate all services
For Each oService in oWMI
 If oService.State = "Stopped" Then
  If MsgBox ("Service " & oService.Name & " " _
               & oService.State, vbYesNo, _
            "Start service ?") = vbYes Then 
   WScript.Echo "Return code: " & oService.StartService()
  End if
 Else 
  If MsgBox ("Service " & oService.Name & " " _
              & oService.State, vbYesNo, _
             "Stop service ?") = vbYes Then 
    WScript.Echo "Return code: " & oService.StopService()
  End If 
 End If
Next
WScript.Quit
'*End